VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Splitter Bar Demo"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   WindowState     =   2  'Maximized
   Begin VB.Frame hSplitter 
      Height          =   180
      Left            =   1620
      MousePointer    =   7  'Size N S
      TabIndex        =   4
      Top             =   885
      Width           =   2940
   End
   Begin VB.Frame vSplitter 
      Height          =   2655
      Left            =   1335
      MousePointer    =   9  'Size W E
      TabIndex        =   3
      Top             =   150
      Width           =   270
   End
   Begin VB.TextBox txtTopText 
      Height          =   765
      Left            =   1665
      TabIndex        =   2
      Text            =   "Here's our Top text!"
      Top             =   0
      Width           =   2655
   End
   Begin VB.TextBox txtBottomText 
      Height          =   1440
      Left            =   1665
      TabIndex        =   1
      Text            =   "Bottom text here!"
      Top             =   1200
      Width           =   2655
   End
   Begin VB.ListBox lstSide 
      Height          =   2595
      Left            =   165
      TabIndex        =   0
      Top             =   240
      Width           =   1050
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'*******************************************************************************
' MODULE:       Form1
' FILENAME:     C:\Program Files\Microsoft Visual Studio\VB98\Form1.frm
' AUTHOR:       Dean Audirsch, daudirsch@hotmail.com
' CREATED:      23-Apr-2002
' COPYRIGHT:    Copyright 2002 ACI Software. All Rights Reserved.
'
' DESCRIPTION:
' Simple demonstration of implementing splitter bars with frame controls.
'
' MODIFICATION HISTORY:
' 1.0       23-Apr-2002
'           Dean Audirsch
'           Initial Version
'*******************************************************************************
Option Explicit

'T/F if we are dragging either splitter bar
Dim bDragging As Boolean

'*******************************************************************************
' Form_Load (SUB)
'
' PARAMETERS:
' None
'
' DESCRIPTION:
' Just used for prepping the frames
'*******************************************************************************
Private Sub Form_Load()
    
    hSplitter.BorderStyle = 0
    vSplitter.BorderStyle = 0
    hSplitter.ZOrder 0
    vSplitter.ZOrder 0
    
End Sub

'*******************************************************************************
' Form_Resize (SUB)
'
' PARAMETERS:
' None
'
' DESCRIPTION:
' Resizes controls.  This is called whenever the splitter bars are used.
'*******************************************************************************
Private Sub Form_Resize()
    On Error Resume Next
    
    '//Resize splitter bars first
    vSplitter.Move vSplitter.Left, 0, 75, Me.ScaleHeight
    hSplitter.Move vSplitter.Left + vSplitter.Width, hSplitter.Top, hSplitter.Width, 100
    hSplitter.Width = Me.ScaleWidth - hSplitter.Left
    
    '//now resize the controls
    lstSide.Move 0, 0, vSplitter.Left, Me.ScaleHeight
    txtTopText.Move hSplitter.Left, 0, Me.ScaleWidth - hSplitter.Left, hSplitter.Top
    
    txtBottomText.Move hSplitter.Left, hSplitter.Top + hSplitter.Height, hSplitter.Width
    txtBottomText.Height = Me.ScaleHeight - txtBottomText.Top
    Err.Clear
End Sub

'*******************************************************************************
' hSplitter_MouseDown (SUB)
'
' PARAMETERS:
' (In/Out) - Button - Integer -
' (In/Out) - Shift  - Integer -
' (In/Out) - X      - Single  -
' (In/Out) - Y      - Single  -
'
' DESCRIPTION:
' Start dragging.
'*******************************************************************************
Private Sub hSplitter_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    bDragging = True
    hSplitter.BackColor = vb3DShadow
End Sub

'*******************************************************************************
' hSplitter_MouseMove (SUB)
'
' PARAMETERS:
' (In/Out) - Button - Integer -
' (In/Out) - Shift  - Integer -
' (In/Out) - X      - Single  -
' (In/Out) - Y      - Single  -
'
' DESCRIPTION:
' Actually dragging the hSplitter bar.
'*******************************************************************************
Private Sub hSplitter_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If bDragging Then
        hSplitter.Top = hSplitter.Top + Y
    End If
End Sub

'*******************************************************************************
' hSplitter_MouseUp (SUB)
'
' PARAMETERS:
' (In/Out) - Button - Integer -
' (In/Out) - Shift  - Integer -
' (In/Out) - X      - Single  -
' (In/Out) - Y      - Single  -
'
' DESCRIPTION:
' All done dragging, reset the controls.
'*******************************************************************************
Private Sub hSplitter_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Const UpperLimit = 1000
    Dim LowerLimit As Long
    
    LowerLimit = Me.ScaleHeight - 1000
    
    bDragging = False
    
    '//Reset the color
    hSplitter.BackColor = vbButtonFace

    '//Check to make sure we're not out of bounds
    If hSplitter.Top < UpperLimit Then
        hSplitter.Top = UpperLimit
    End If
    
    If hSplitter.Top > LowerLimit Then
        hSplitter.Top = LowerLimit
    End If
    '//
    
    Form_Resize
End Sub

'*******************************************************************************
' vSplitter_MouseDown (SUB)
'
' PARAMETERS:
' (In/Out) - Button - Integer -
' (In/Out) - Shift  - Integer -
' (In/Out) - X      - Single  -
' (In/Out) - Y      - Single  -
'
' DESCRIPTION:
' Start dragging.
'*******************************************************************************
Private Sub vSplitter_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    bDragging = True
    vSplitter.BackColor = vb3DShadow

End Sub

'*******************************************************************************
' vSplitter_MouseMove (SUB)
'
' PARAMETERS:
' (In/Out) - Button - Integer -
' (In/Out) - Shift  - Integer -
' (In/Out) - X      - Single  -
' (In/Out) - Y      - Single  -
'
' DESCRIPTION:
' We are dragging the vSplitter bar.
'*******************************************************************************
Private Sub vSplitter_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If bDragging Then
        vSplitter.Left = vSplitter.Left + X
    End If

End Sub

'*******************************************************************************
' vSplitter_MouseUp (SUB)
'
' PARAMETERS:
' (In/Out) - Button - Integer -
' (In/Out) - Shift  - Integer -
' (In/Out) - X      - Single  -
' (In/Out) - Y      - Single  -
'
' DESCRIPTION:
' All done dragging
'*******************************************************************************
Private Sub vSplitter_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Const UpperLimit = 1000
    Dim LowerLimit As Long
    
    LowerLimit = Me.ScaleWidth - 1000
    
    bDragging = False
    
    '//Reset color.
    vSplitter.BackColor = vbButtonFace

    '//Check to make sure we're not out of bounds
    If vSplitter.Left < UpperLimit Then
        vSplitter.Left = UpperLimit
    End If
    
    If vSplitter.Left > LowerLimit Then
        vSplitter.Left = LowerLimit
    End If
    '//
    
    Form_Resize

End Sub
